Skip to main content
GET
/
v1
/
phone-numbers
/
{phone_id}
Get Phone Number
curl --request GET \
  --url https://api.oneinbox.ai/v1/phone-numbers/{phone_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "phone_number": "<string>",
  "friendly_name": "<string>",
  "provider": "<string>",
  "agent_id": "<string>",
  "status": "<string>",
  "inbound_trunk_id": "<string>",
  "outbound_trunk_id": "<string>",
  "dispatch_rule_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "inbound_routing": {
    "agent_id": "<string>",
    "fallback": {
      "agent_id": "<string>"
    },
    "voicemail_message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

phone_id
string<uuid>
required

Response

Successful Response

id
string
required
phone_number
string
required
friendly_name
string | null
required
provider
string
required
agent_id
string
required
status
string
required
inbound_trunk_id
string | null
required
outbound_trunk_id
string | null
required
dispatch_rule_id
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
inbound_routing
InboundRouting · object

Per-number routing override. Stored as JSONB so we can extend with business-hours and caller-id rules later without a schema change.